#!/bin/bash
#
# stbylong.sh
#
BOOTFLAGFILE=/etc/bootflag
#
# stop running processes
/etc/stopproc.sh
#
echo "`date` stbylong: Going asleep now" >> /var/log/logrtc.log
#
# sleep for 3hours (60*60*3 = 10800)
# sleep for 4min   (60*4 = 240)
/usr/sbin/vbetool vbestate save > /tmp/videostate
/usr/sbin/rtcwake -s 10800 -m mem
/usr/sbin/vbetool vbestate restore < /tmp/videostate
#
echo "`date` stbylong: Woken up from sleep, rebooting now" >> /var/log/logrtc.log
echo "S" > $BOOTFLAGFILE
/sbin/reboot

#################################################################
#NOTES:
# 1) The call to save the vbestate produces the following output
#    on stderr:     Allocated buffer at 0x2010 (base is 0x0)
#                   ES: 0x0201 EBX: 0x0000               
#
# 2) The call to restore the vbestate produces the following output
#    on stderr:     Function not supported
#
# These errors do not appear to affect performance
#################################################################


